operator--
Prev | Chapter 19. Db_set_iterator | Next

## operator--

### Function Details

    self& operator--()

Pre-decrement.

#### Return Value

This iterator after decremented.

#### See Also

db_map_iterator::operator--()

    self operator--(int)

Post-decrement.

#### Return Value

Another iterator having the old value of this iterator.

#### See Also

db_map_iterator::operator--(int)

### Class

db_set_iterator

Prev | Up | Next
operator++ | Home | operator *